searchData={"items":[{"type":"module","title":"SlimFormatter.Formatter","doc":"Helper functions for formatting and the formatting protocols.\n\nFormatters are `GenServer`s specified during ExUnit configuration\nthat receive a series of events as casts.\n\nThe following events are possible:\n\n  * `{:suite_started, opts}` -\n    the suite has started with the specified options to the runner.\n\n  * `{:suite_finished, times_us}` -\n    the suite has finished. Returns several measurements in microseconds\n    for running the suite. See `t:times_us` for more information.\n\n  * `{:module_started, test_module}` -\n    a test module has started. See `ExUnit.TestModule` for details.\n\n  * `{:module_finished, test_module}` -\n    a test module has finished. See `ExUnit.TestModule` for details.\n\n  * `{:test_started, test}` -\n    a test has started. See `ExUnit.Test` for details.\n\n  * `{:test_finished, test}` -\n    a test has finished. See `ExUnit.Test` for details.\n\n  * `{:sigquit, [test | test_module]}` -\n    the VM is going to shutdown. It receives the test cases (or test\n    module in case of `setup_all`) still running.\n\nThe formatter will also receive the following events but they are deprecated\nand should be ignored:\n\n  * `{:case_started, test_module}` -\n    a test module has started. See `ExUnit.TestModule` for details.\n\n  * `{:case_finished, test_module}` -\n    a test module has finished. See `ExUnit.TestModule` for details.\n\nThe full ExUnit configuration is passed as the argument to `c:GenServer.init/1`\ncallback when the formatters are started. If you need to do runtime configuration\nof a formatter, you can add any configuration needed by using `ExUnit.configure/1`\nor `ExUnit.start/1`, and this will then be included in the options passed to\nthe `c:GenServer.init/1` callback.","ref":"SlimFormatter.Formatter.html"},{"type":"function","title":"SlimFormatter.Formatter.format_assertion_diff/4","doc":"Formats `ExUnit.AssertionError` diff.\n\nIt returns a keyword list with diffing information\nfrom the left and right side of the assertion, if\nany exists.\n\nIt expects the assertion error, the `padding_size`\nfor formatted content, the width (may be `:infinity`),\nand the formatter callback function.","ref":"SlimFormatter.Formatter.html#format_assertion_diff/4"},{"type":"function","title":"SlimFormatter.Formatter.format_filters/2","doc":"Formats filters used to constrain cases to be run.","ref":"SlimFormatter.Formatter.html#format_filters/2"},{"type":"function","title":"Examples - SlimFormatter.Formatter.format_filters/2","doc":"iex> format_filters([run: true, slow: false], :include)\n    \"Including tags: [run: true, slow: false]\"","ref":"SlimFormatter.Formatter.html#format_filters/2-examples"},{"type":"function","title":"SlimFormatter.Formatter.format_test_all_failure/5","doc":"Receives a test module and formats its failure.","ref":"SlimFormatter.Formatter.html#format_test_all_failure/5"},{"type":"function","title":"SlimFormatter.Formatter.format_test_failure/5","doc":"Receives a test and formats its failure.","ref":"SlimFormatter.Formatter.html#format_test_failure/5"},{"type":"function","title":"SlimFormatter.Formatter.format_times/1","doc":"Formats time taken running the test suite.","ref":"SlimFormatter.Formatter.html#format_times/1"},{"type":"function","title":"Examples - SlimFormatter.Formatter.format_times/1","doc":"iex> format_times(%{run: 10000, async: nil, load: nil})\n    \"Finished in 0.01 seconds (0.00s async, 0.01s sync)\"\n\n    iex> format_times(%{run: 10000, async: nil, load: 20000})\n    \"Finished in 0.03 seconds (0.02s on load, 0.00s async, 0.01s sync)\"\n\n    iex> format_times(%{run: 10000, async: nil, load: 200_000})\n    \"Finished in 0.2 seconds (0.2s on load, 0.00s async, 0.01s sync)\"\n\n    iex> format_times(%{run: 100_000, async: 50000, load: 200_000})\n    \"Finished in 0.3 seconds (0.2s on load, 0.05s async, 0.05s sync)\"","ref":"SlimFormatter.Formatter.html#format_times/1-examples"},{"type":"type","title":"SlimFormatter.Formatter.id/0","doc":"","ref":"SlimFormatter.Formatter.html#t:id/0"},{"type":"type","title":"SlimFormatter.Formatter.test/0","doc":"","ref":"SlimFormatter.Formatter.html#t:test/0"},{"type":"type","title":"SlimFormatter.Formatter.times_us/0","doc":"The times spent on several parts of the test suite.\n\nThe following properties can be computed:\n\n    sync = run - (async || 0)\n    total = run + (load || 0)\n\n`async` is nil when there are no async tests.\n`load` is nil when the test suite is running and loading\ntests concurrently.","ref":"SlimFormatter.Formatter.html#t:times_us/0"}],"content_type":"text/markdown"}